org.apache.maven.shared.io.scan

## Class InclusionScanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.maven.shared.io.scan.InclusionScanException

All Implemented Interfaces:
  Serializable

    public class InclusionScanException
    extends Exception

Version:
  $Id: InclusionScanException.java 1719050 2015-12-10 10:18:42Z khmarbaise $
Author:
  jdcasey
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InclusionScanException(String message)`
`InclusionScanException(String message, Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InclusionScanException

    public InclusionScanException(String message)

Parameters:
  `message` - The message.

#### InclusionScanException

    public InclusionScanException(String message,
                                  Throwable cause)

Parameters:
  `message` - The message.
  `cause` - The cause of the error.